/*
 *  
 * Script to update the xtoss schema between version 21 and 22.
 */

ALTER TABLE stats ADD stat_membership_type VARCHAR(40);
GO
ALTER TABLE stats ADD stat_membership_id INTEGER;
GO

CREATE INDEX IDX_stats_8 ON stats (stat_coverage_type);
GO

CREATE INDEX IDX_stats_9 ON stats (stat_coverage_id);
GO

ALTER TABLE document_contents ADD sportsml_blob TEXT;
GO

DELETE FROM db_info
GO

ALTER TABLE ice_hockey_event_states ADD action_key VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD penalty_type VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD penalty_length VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD penalty_code VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD recipient_type VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD team_id INTEGER;
GO

ALTER TABLE ice_hockey_action_plays ADD strength VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD location_x VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD location_y VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD location_zone VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD shootout_shot_order INTEGER;
GO

ALTER TABLE ice_hockey_action_plays ADD goal_order INTEGER;
GO

ALTER TABLE ice_hockey_action_plays ADD shot_type VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD shot_distance VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD goal_zone VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD empty_net VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_plays ADD goal_awarded VARCHAR(100);
GO

ALTER TABLE ice_hockey_action_participants ADD goals_to_date INTEGER;
GO

ALTER TABLE ice_hockey_action_participants ADD assists_to_date INTEGER;
GO

ALTER TABLE ice_hockey_action_participants ADD points_to_date INTEGER;
GO

INSERT INTO db_info (version) VALUES ('22')
GO
