/*
 *  
 * Script to update the sportsdb schema between version 27 and 28.
 */

ALTER TABLE baseball_pitching_stats ADD COLUMN saves_blown INTEGER;
ALTER TABLE stats ADD column scope VARCHAR(255);

ALTER TABLE american_football_action_plays ADD COLUMN recipient_type VARCHAR(100);
ALTER TABLE american_football_action_plays ADD COLUMN penalty_side VARCHAR(100); 
ALTER TABLE american_football_action_plays ADD COLUMN penalty_level VARCHAR(100);
ALTER TABLE american_football_action_plays ADD COLUMN penalty_yards INTEGER;

ALTER TABLE core_stats ADD COLUMN series_score INTEGER;
ALTER TABLE core_stats ADD COLUMN series_score_opposing INTEGER;

ALTER TABLE american_football_offensive_stats ADD COLUMN offensive_rank INTEGER;
ALTER TABLE american_football_rushing_stats ADD COLUMN rushing_rank INTEGER;
ALTER TABLE american_football_passing_stats ADD COLUMN passing_rank INTEGER;
ALTER TABLE american_football_defensive_stats ADD COLUMN defense_rank INTEGER;
ALTER TABLE american_football_defensive_stats ADD COLUMN defense_rank_pass INTEGER;
ALTER TABLE american_football_defensive_stats ADD COLUMN defense_rank_rush INTEGER;
ALTER TABLE american_football_defensive_stats ADD COLUMN turnovers_takeaway INTEGER;

ALTER TABLE ice_hockey_offensive_stats ADD COLUMN assists_power_play INTEGER;
ALTER TABLE ice_hockey_offensive_stats ADD COLUMN assists_short_handed INTEGER;

DELETE FROM db_info;
INSERT INTO db_info (version) VALUES ('28');
