/*
 *  
 * Script to update the sportsdb schema between version 27 and 28.
 */

ALTER TABLE baseball_pitching_stats ADD saves_blown INTEGER;
GO

ALTER TABLE american_football_action_plays ADD recipient_type VARCHAR(100);
GO
ALTER TABLE american_football_action_plays ADD penalty_side VARCHAR(100);
GO 
ALTER TABLE american_football_action_plays ADD penalty_level VARCHAR(100);
GO
ALTER TABLE american_football_action_plays ADD penalty_yards INTEGER;
GO

ALTER TABLE core_stats ADD series_score INTEGER;
GO
ALTER TABLE core_stats ADD series_score_opposing INTEGER;
GO

ALTER TABLE american_football_offensive_stats ADD offensive_rank INTEGER;
GO
ALTER TABLE american_football_rushing_stats ADD rushing_rank INTEGER;
GO
ALTER TABLE american_football_passing_stats ADD passing_rank INTEGER;
GO
ALTER TABLE american_football_defensive_stats ADD defense_rank INTEGER;
GO
ALTER TABLE american_football_defensive_stats ADD defense_rank_pass INTEGER;
GO
ALTER TABLE american_football_defensive_stats ADD defense_rank_rush INTEGER;
GO
ALTER TABLE american_football_defensive_stats ADD turnovers_takeaway INTEGER;
GO

ALTER TABLE ice_hockey_offensive_stats ADD assists_power_play INTEGER;
GO
ALTER TABLE ice_hockey_offensive_stats ADD assists_short_handed INTEGER;
GO

ALTER TABLE stats ADD scope VARCHAR(255);
GO

INSERT INTO db_info (version) VALUES ('28');
GO
