CREATE INDEX FKIDX_FK_add_loc_id__loc_id ON addresses (location_id);
CREATE INDEX FKIDX_FK_aff_pub_id__pub_id ON affiliations (publisher_id);
CREATE INDEX FKIDX_FK_sea_lea_id__aff_id ON seasons (league_id);
CREATE INDEX FKIDX_FK_sea_pub_id__pub_id ON seasons (publisher_id);
CREATE INDEX FKIDX_FK_seasons_affiliation_phases1 ON affiliation_phases (end_season_id);
CREATE INDEX FKIDX_FK_seasons_affiliation_phases ON affiliation_phases (start_season_id);
CREATE INDEX FKIDX_FK_affiliations_affiliation_phases1 ON affiliation_phases (ancestor_affiliation_id);
CREATE INDEX FKIDX_FK_affiliations_affiliation_phases ON affiliation_phases (affiliation_id);
CREATE INDEX FKIDX_FK_doc_fix_doc_cla_id__doc_cla_id ON document_fixtures (document_class_id);
CREATE INDEX FKIDX_FK_doc_fix_pub_id__pub_id ON document_fixtures (publisher_id);
CREATE INDEX FKIDX_FK_doc_sou_id__pub_id ON documents (source_id);
CREATE INDEX FKIDX_FK_doc_doc_fix_id__doc_fix_id ON documents (document_fixture_id);
CREATE INDEX FKIDX_FK_doc_pub_id__pub_id ON documents (publisher_id);
CREATE INDEX FKIDX_FK_aff_doc_aff_id__aff_id ON affiliations_documents (affiliation_id);
CREATE INDEX FKIDX_FK_aff_doc_doc_id__doc_id ON affiliations_documents (document_id);
CREATE INDEX FKIDX_FK_sit_loc_id__loc_id ON sites (location_id);
CREATE INDEX FKIDX_FK_sit_pub_id__pub_id ON sites (publisher_id);
CREATE INDEX FKIDX_FK_eve_sit_id__sit_id ON events (site_id);
CREATE INDEX FKIDX_FK_eve_pub_id__pub_id ON events (publisher_id);
CREATE INDEX FKIDX_FK_aff_eve_aff_id__aff_id ON affiliations_events (affiliation_id);
CREATE INDEX FKIDX_FK_aff_eve_eve_id__eve_id ON affiliations_events (event_id);
CREATE INDEX FKIDX_FK_per_bir_loc_id__loc_id ON persons (birth_location_id);
CREATE INDEX FKIDX_FK_per_pub_id__pub_id ON persons (publisher_id);
CREATE INDEX FKIDX_FK_per_dea_loc_id__loc_id ON persons (death_location_id);
CREATE INDEX FKIDX_FK_per_res_loc_id__loc_id ON persons (residence_location_id);
CREATE INDEX FKIDX_FK_per_hom_loc_id__loc_id ON persons (hometown_location_id);
CREATE INDEX FKIDX_FK_med_cre_id__per_id ON media (credit_id);
CREATE INDEX FKIDX_FK_med_pub_id__pub_id ON media (publisher_id);
CREATE INDEX FKIDX_FK_med_cre_loc_id__loc_id ON media (creation_location_id);
CREATE INDEX FKIDX_FK_aff_med_med_id__med_id ON affiliations_media (media_id);
CREATE INDEX FKIDX_FK_aff_med_aff_id__aff_id ON affiliations_media (affiliation_id);
CREATE INDEX FKIDX_FK_tea_pub_id__pub_id ON teams (publisher_id);
CREATE INDEX FKIDX_FK_tea_hom_sit_id__sit_id ON teams (home_site_id);
CREATE INDEX FKIDX_FK_ame_foo_eve_sta_tea_in_pos_id__tea_id ON american_football_event_states (team_in_possession_id);
CREATE INDEX FKIDX_FK_ame_foo_eve_sta_eve_id__eve_id ON american_football_event_states (event_id);
CREATE INDEX FKIDX_FK_ame_foo_act_pla_ame_foo_eve_sta_id__ame_foo_eve_sta_id ON american_football_action_plays (american_football_event_state_id);
CREATE INDEX FKIDX_FK_ame_foo_act_par_per_id__per_id ON american_football_action_participants (person_id);
CREATE INDEX FKIDX_FK_ame_foo_act_par_ame_foo_act_pla_id__ame_foo_act_pla_id ON american_football_action_participants (american_football_action_play_id);
CREATE INDEX FKIDX_FK_bas_eve_sta_run_on_sec_id__per_id ON baseball_event_states (runner_on_second_id);
CREATE INDEX FKIDX_FK_bas_eve_sta_run_on_thi_id__per_id ON baseball_event_states (runner_on_third_id);
CREATE INDEX FKIDX_FK_bas_eve_sta_run_on_fir_id__per_id ON baseball_event_states (runner_on_first_id);
CREATE INDEX FKIDX_FK_bas_eve_sta_bat_id__per_id ON baseball_event_states (batter_id);
CREATE INDEX FKIDX_FK_bas_eve_sta_pit_id__per_id ON baseball_event_states (pitcher_id);
CREATE INDEX FKIDX_FK_bas_eve_sta_eve_id__eve_id ON baseball_event_states (event_id);
CREATE INDEX FKIDX_FK_bas_act_pla_bas_eve_sta_id__bas_eve_sta_id ON baseball_action_plays (baseball_event_state_id);
CREATE INDEX FKIDX_FK_baseball_action_plays_baseball_action_pitches ON baseball_action_pitches (baseball_action_play_id);
CREATE INDEX FKIDX_FK_bas_act_pit_bas_def_gro_id__bas_def_gro_id ON baseball_action_pitches (baseball_defensive_group_id);
CREATE INDEX FKIDX_FK_bas_act_con_det_bas_act_pit_id__bas_act_pit_id ON baseball_action_contact_details (baseball_action_pitch_id);
CREATE INDEX FKIDX_FK_pos_aff_id__aff_id ON positions (affiliation_id);
CREATE INDEX FKIDX_FK_bas_act_sub_per_rep_pos_id__pos_id ON baseball_action_substitutions (person_replacing_position_id);
CREATE INDEX FKIDX_FK_bas_act_sub_per_ori_pos_id__pos_id ON baseball_action_substitutions (person_original_position_id);
CREATE INDEX FKIDX_FK_bas_act_sub_bas_eve_sta_id__bas_eve_sta_id ON baseball_action_substitutions (baseball_event_state_id);
CREATE INDEX FKIDX_FK_bas_act_sub_per_rep_id__per_id ON baseball_action_substitutions (person_replacing_id);
CREATE INDEX FKIDX_FK_bas_act_sub_per_ori_id__per_id ON baseball_action_substitutions (person_original_id);
CREATE INDEX FKIDX_FK_bas_def_pla_bas_def_gro_id__bas_def_gro_id ON baseball_defensive_players (baseball_defensive_group_id);
CREATE INDEX FKIDX_FK_bas_def_pla_pla_id__per_id ON baseball_defensive_players (player_id);
CREATE INDEX FKIDX_FK_bas_def_pla_pos_id__pos_id ON baseball_defensive_players (position_id);
CREATE INDEX FKIDX_FK_bask_eve_sta_eve_id__eve_id ON basketball_event_states (event_id);
CREATE INDEX FKIDX_FK_boo_loc_id__loc_id ON bookmakers (location_id);
CREATE INDEX FKIDX_FK_boo_pub_id__pub_id ON bookmakers (publisher_id);
CREATE INDEX FKIDX_FK_doc_con_doc_id__doc_id ON document_contents (document_id);
CREATE INDEX FKIDX_FK_doc_fix_eve_lat_doc_id__doc_id ON document_fixtures_events (latest_document_id);
CREATE INDEX FKIDX_FK_doc_fix_eve_doc_fix_id__doc_fix_id ON document_fixtures_events (document_fixture_id);
CREATE INDEX FKIDX_FK_doc_fix_eve_eve_id__eve_id ON document_fixtures_events (event_id);
CREATE INDEX FKIDX_FK_doc_pac_ent_doc_pac_id__doc_pac_id ON document_package_entry (document_package_id);
CREATE INDEX FKIDX_FK_doc_pac_ent_doc_id__doc_id ON document_package_entry (document_id);
CREATE INDEX FKIDX_FK_med_cap_med_id__med_id ON media_captions (media_id);
CREATE INDEX FKIDX_FK_med_cap_cap_aut_id__per_id ON media_captions (caption_author_id);
CREATE INDEX FKIDX_FK_doc_med_med_cap_id__med_cap_id ON documents_media (media_caption_id);
CREATE INDEX FKIDX_FK_doc_med_med_id__med_id ON documents_media (media_id);
CREATE INDEX FKIDX_FK_doc_med_doc_id__doc_id ON documents_media (document_id);
CREATE INDEX FKIDX_FK_events_event_states ON event_states (event_id);
CREATE INDEX FKIDX_FK_event_states_event_action_fouls ON event_action_fouls (event_state_id);
CREATE INDEX FKIDX_FK_event_states_event_action_plays ON event_action_plays (event_state_id);
CREATE INDEX FKIDX_FK_event_action_plays_event_action_participants ON event_action_participants (event_action_play_id);
CREATE INDEX FKIDX_FK_persons_event_action_participants ON event_action_participants (person_id);
CREATE INDEX FKIDX_FK_event_states_event_action_participants ON event_action_participants (event_state_id);
CREATE INDEX FKIDX_FK_event_states_event_action_penalties ON event_action_penalties (event_state_id);
CREATE INDEX FKIDX_FK_persons_event_action_substitutions1 ON event_action_substitutions (person_replacing_id);
CREATE INDEX FKIDX_FK_persons_event_action_substitutions ON event_action_substitutions (person_original_id);
CREATE INDEX FKIDX_FK_event_states_event_action_substitutions ON event_action_substitutions (event_state_id);
CREATE INDEX FKIDX_FK_positions_event_action_substitutions1 ON event_action_substitutions (person_replacing_position_id);
CREATE INDEX FKIDX_FK_positions_event_action_substitutions ON event_action_substitutions (person_original_position_id);
CREATE INDEX FKIDX_FK_eve_doc_doc_id__doc_id ON events_documents (document_id);
CREATE INDEX FKIDX_FK_eve_doc_eve_id__eve_id ON events_documents (event_id);
CREATE INDEX FKIDX_FK_eve_med_med_id__med_id ON events_media (media_id);
CREATE INDEX FKIDX_FK_eve_med_eve_id__eve_id ON events_media (event_id);
CREATE INDEX FKIDX_FK_sub_sea_sea_id__sea_id ON sub_seasons (season_id);
CREATE INDEX FKIDX_FK_eve_sub_sea_sub_sea_id__sub_sea_id ON events_sub_seasons (sub_season_id);
CREATE INDEX FKIDX_FK_eve_sub_sea_eve_id__eve_id ON events_sub_seasons (event_id);
CREATE INDEX FKIDX_FK_ice_hoc_eve_sta_eve_id__eve_id ON ice_hockey_event_states (event_id);
CREATE INDEX FKIDX_FK_ice_hockey_event_states_ice_hockey_action_plays ON ice_hockey_action_plays (ice_hockey_event_state_id);
CREATE INDEX FKIDX_FK_ice_hockey_action_plays_ice_hockey_action_participants ON ice_hockey_action_participants (ice_hockey_action_play_id);
CREATE INDEX FKIDX_FK_persons_ice_hockey_action_participants ON ice_hockey_action_participants (person_id);
CREATE INDEX FKIDX_FK_inj_pha_sea_id__sea_id ON injury_phases (season_id);
CREATE INDEX FKIDX_FK_inj_pha_per_id__per_id ON injury_phases (person_id);
CREATE INDEX FKIDX_FK_key_roots_key_aliases ON key_aliases (key_root_id);
CREATE INDEX FKIDX_FK_lat_rev_lat_doc_id__doc_id ON latest_revisions (latest_document_id);
CREATE INDEX FKIDX_FK_med_con_med_id__med_id ON media_contents (media_id);
CREATE INDEX FKIDX_FK_med_key_med_id__med_id ON media_keywords (media_id);
CREATE INDEX FKIDX_FK_mot_rac_eve_sta_eve_id__eve_id ON motor_racing_event_states (event_id);
CREATE INDEX FKIDX_FK_sta_aff_id__aff_id ON standings (affiliation_id);
CREATE INDEX FKIDX_FK_sta_sub_sea_id__sub_sea_id ON standings (sub_season_id);
CREATE INDEX FKIDX_FK_sta_sub_sta_id__sta_id ON standing_subgroups (standing_id);
CREATE INDEX FKIDX_FK_sta_sub_aff_id__aff_id ON standing_subgroups (affiliation_id);
CREATE INDEX FKIDX_FK_out_tot_sta_sub_id__sta_sub_id ON outcome_totals (standing_subgroup_id);
CREATE INDEX FKIDX_FK_par_eve_eve_id__eve_id ON participants_events (event_id);
CREATE INDEX FKIDX_FK_per_par_eve_id__par_eve_id ON periods (participant_event_id);
CREATE INDEX FKIDX_FK_per_eve_met_tea_id__tea_id ON person_event_metadata (team_id);
CREATE INDEX FKIDX_FK_per_eve_met_eve_id__eve_id ON person_event_metadata (event_id);
CREATE INDEX FKIDX_FK_per_eve_met_per_id__per_id ON person_event_metadata (person_id);
CREATE INDEX FKIDX_FK_per_eve_met_pos_id__pos_id ON person_event_metadata (position_id);
CREATE INDEX FKIDX_FK_per_eve_met_rol_id__rol_id ON person_event_metadata (role_id);
CREATE INDEX FKIDX_FK_per_pha_rol_id__rol_id ON person_phases (role_id);
CREATE INDEX FKIDX_FK_per_pha_reg_pos_id__pos_id ON person_phases (regular_position_id);
CREATE INDEX FKIDX_FK_per_pha_sta_sea_id__sea_id ON person_phases (start_season_id);
CREATE INDEX FKIDX_FK_per_pha_per_id__per_id ON person_phases (person_id);
CREATE INDEX FKIDX_FK_per_pha_end_sea_id__sea_id ON person_phases (end_season_id);
CREATE INDEX FKIDX_FK_per_doc_per_id__per_id ON persons_documents (person_id);
CREATE INDEX FKIDX_FK_per_doc_doc_id__doc_id ON persons_documents (document_id);
CREATE INDEX FKIDX_FK_per_med_med_id__med_id ON persons_media (media_id);
CREATE INDEX FKIDX_FK_per_med_per_id__per_id ON persons_media (person_id);
CREATE INDEX FKIDX_FK_soc_eve_sta_eve_id__eve_id ON soccer_event_states (event_id);
CREATE INDEX FKIDX_FK_soccer_event_states_soccer_action_fouls ON soccer_action_fouls (soccer_event_state_id);
CREATE INDEX FKIDX_FK_persons_soccer_action_fouls ON soccer_action_fouls (recipient_id);
CREATE INDEX FKIDX_FK_soccer_event_states_soccer_action_plays ON soccer_action_plays (soccer_event_state_id);
CREATE INDEX FKIDX_FK_soccer_action_plays_soccer_action_participants ON soccer_action_participants (soccer_action_play_id);
CREATE INDEX FKIDX_FK_persons_soccer_action_participants ON soccer_action_participants (person_id);
CREATE INDEX FKIDX_FK_soccer_event_states_soccer_action_penalties ON soccer_action_penalties (soccer_event_state_id);
CREATE INDEX FKIDX_FK_persons_soccer_action_penalties ON soccer_action_penalties (recipient_id);
CREATE INDEX FKIDX_FK_soccer_event_states_soccer_action_substitutions ON soccer_action_substitutions (soccer_event_state_id);
CREATE INDEX FKIDX_FK_persons_soccer_action_substitutions ON soccer_action_substitutions (person_original_id);
CREATE INDEX FKIDX_FK_persons_soccer_action_substitutions1 ON soccer_action_substitutions (person_replacing_id);
CREATE INDEX FKIDX_FK_positions_soccer_action_substitutions ON soccer_action_substitutions (person_original_position_id);
CREATE INDEX FKIDX_FK_positions_soccer_action_substitutions1 ON soccer_action_substitutions (person_replacing_position_id);
CREATE INDEX FKIDX_FK_sub_per_per_id__per_id ON sub_periods (period_id);
CREATE INDEX FKIDX_FK_tea_aff_pha_rol_id__rol_id ON team_phases (role_id);
CREATE INDEX FKIDX_FK_tea_aff_pha_end_sea_id__sea_id ON team_phases (end_season_id);
CREATE INDEX FKIDX_FK_tea_aff_pha_sta_sea_id__sea_id ON team_phases (start_season_id);
CREATE INDEX FKIDX_FK_tea_aff_pha_aff_id__aff_id ON team_phases (affiliation_id);
CREATE INDEX FKIDX_FK_tea_aff_pha_tea_id__tea_id ON team_phases (team_id);
CREATE INDEX FKIDX_FK_tea_doc_tea_id__tea_id ON teams_documents (team_id);
CREATE INDEX FKIDX_FK_tea_doc_doc_id__doc_id ON teams_documents (document_id);
CREATE INDEX FKIDX_FK_tea_med_med_id__med_id ON teams_media (media_id);
CREATE INDEX FKIDX_FK_tea_med_tea_id__tea_id ON teams_media (team_id);
CREATE INDEX FKIDX_FK_ten_eve_sta_eve_id__eve_id ON tennis_event_states (event_id);
CREATE INDEX FKIDX_FK_wag_mon_boo_id__boo_id ON wagering_moneylines (bookmaker_id);
CREATE INDEX FKIDX_FK_wag_mon_tea_id__tea_id ON wagering_moneylines (team_id);
CREATE INDEX FKIDX_FK_wag_mon_eve_id__eve_id ON wagering_moneylines (event_id);
CREATE INDEX FKIDX_FK_wag_odd_lin_tea_id__tea_id ON wagering_odds_lines (team_id);
CREATE INDEX FKIDX_FK_wag_odd_lin_eve_id__eve_id ON wagering_odds_lines (event_id);
CREATE INDEX FKIDX_FK_wag_odd_lin_boo_id__boo_id ON wagering_odds_lines (bookmaker_id);
CREATE INDEX FKIDX_FK_wag_run_boo_id__boo_id ON wagering_runlines (bookmaker_id);
CREATE INDEX FKIDX_FK_wag_run_tea_id__tea_id ON wagering_runlines (team_id);
CREATE INDEX FKIDX_FK_wag_run_eve_id__eve_id ON wagering_runlines (event_id);
CREATE INDEX FKIDX_FK_wag_str_spr_lin_tea_id__tea_id ON wagering_straight_spread_lines (team_id);
CREATE INDEX FKIDX_FK_wag_str_spr_lin_eve_id__eve_id ON wagering_straight_spread_lines (event_id);
CREATE INDEX FKIDX_FK_wag_str_spr_lin_boo_id__boo_id ON wagering_straight_spread_lines (bookmaker_id);
CREATE INDEX FKIDX_FK_wag_tot_sco_lin_boo_id__boo_id ON wagering_total_score_lines (bookmaker_id);
CREATE INDEX FKIDX_FK_wag_tot_sco_lin_eve_id__eve_id ON wagering_total_score_lines (event_id);
CREATE INDEX FKIDX_FK_wag_tot_sco_lin_tea_id__tea_id ON wagering_total_score_lines (team_id);
CREATE INDEX FKIDX_FK_wea_con_eve_id__eve_id ON weather_conditions (event_id);
/* Added as part of sportsdb 24 */
CREATE INDEX FKIDX_FK_hockey_event_states_power_play_team_id_teams_id ON ice_hockey_event_states (power_play_team_id);
CREATE INDEX FKIDX_FK_ice_hockey_action_participants_team_id_teams_id ON ice_hockey_action_participants (team_id);
CREATE INDEX FKIDX_american_football_action_plays_team_id_teams_id ON american_football_action_plays (team_id);
CREATE INDEX FKIDX_FK_persons_final_resting_location_id_locations_id ON persons (final_resting_location_id);
