# $RCSfile$; $Date: 2005-03-10 18:19:07 -0800 (Thu, 10 Mar 2005) $; $Revision: 832 $; $Name$

package Feedfetcher::Validation::SchematronValidator;

use strict;

use base 'Feedfetcher::Validation::Validator';

use XML::Schematron::LibXSLT;

sub init_plugin {
	my ($self) = @_;

	my $schema = $self->cfg->param('schematron_path');
	$self->{pseudotron} = XML::Schematron::LibXSLT->new(schema => $schema) 
		if $schema;
}

sub test {
	my ($self, $doc, $xml) = @_;

	return if !$self->{pseudotron};
#	my $xsl = $self->{pseudotron}->dump_xsl;
# TEMP
#	$self->{log}->log("xsl: $xsl");
	my @msgs = ();
	my @msgs = $self->{pseudotron}->verify($xml);
	my $msg;
	foreach $msg (@msgs) {
		$self->error($msg);
	}
}

1;
