# $Id: Basketball_action_play.pm 2929 2012-05-08 22:21:56Z ian $

package FeedfetcherDeluxe::Entities::Basketball_action_play;

use FeedfetcherDeluxe::Entities::Entity;
use FeedfetcherDeluxe::Entities::Basketball_action_participant;

#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

FeedFetcherDeluxe::Entities::Basketball_action_play

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
}

sub store_from_doc {
    my ($self, $node, $publisher_id) = @_;
	
	
}

sub delete_by_event_state_id {
    my ($self, $event_state_id) = @_;
	
	my $id = $self->retrieve_id_by_key(
	{
		'basketball_event_state_id'=>$event_state_id
	}
	);
	
	if ($id) {
#      $self->{log}->log("[DBG] *** Deleting action participant for id $id");
		
        my $basketball_action_participant_entity = FeedfetcherDeluxe::Entities::Basketball_action_participant->new($self->{dbh}, $self->{log});
    	$basketball_action_participant_entity->delete(
    	{
    		'basketball_action_play_id'=>$id
    	}
    	);
	}
	
	$self->delete(
	{
		"basketball_event_state_id" => $event_state_id
	}
	);
}

1;