# $Id: Document.pm 2123 2008-07-23 19:22:08Z ian $

package FeedfetcherDeluxe::Entities::Document_fixture;

use FeedfetcherDeluxe::Entities::Entity;
#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

Core::Entities::Document

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
}

sub get_document_fixture_id {
	my ($self, $node, $publisher_id) = @_;
	
	my @sports_metadata_nodes = $node->findnodes("//sports-content/sports-metadata");
	my $sports_metadata_node = shift @sports_metadata_nodes;
	
	my $fixture_key = $sports_metadata_node->getAttribute('fixture-key');
	return undef unless defined $fixture_key;
	
	my $document_fixture_id = $self->retrieve_id_by_key({'fixture_key' => $fixture_key, 'publisher_id' => $publisher_id});
#	$self->{log}->log("[DBG] document_fixture_id: $document_fixture_id");
	
	return $document_fixture_id;
}

1;