/*
 *  
 * Script to update the xtoss schema between version 21 and 22.
 */

ALTER TABLE stats ADD COLUMN stat_membership_type VARCHAR(40);
ALTER TABLE stats ADD COLUMN stat_membership_id INTEGER;

CREATE INDEX IDX_stats_8 ON stats (stat_coverage_type);

CREATE INDEX IDX_stats_9 ON stats (stat_coverage_id);

ALTER TABLE document_contents ADD COLUMN sportsml_blob TEXT; 

ALTER TABLE ice_hockey_event_states ADD COLUMN action_key VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN penalty_type VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN penalty_length VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN penalty_code VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN recipient_type VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN team_id INTEGER;

ALTER TABLE ice_hockey_action_plays ADD COLUMN strength VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN location_x VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN location_y VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN location_zone VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN shootout_shot_order INTEGER;

ALTER TABLE ice_hockey_action_plays ADD COLUMN goal_order INTEGER;

ALTER TABLE ice_hockey_action_plays ADD COLUMN shot_type VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN shot_distance VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN goal_zone VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN empty_net VARCHAR(100);

ALTER TABLE ice_hockey_action_plays ADD COLUMN goal_awarded VARCHAR(100);

ALTER TABLE ice_hockey_action_participants ADD COLUMN goals_to_date INTEGER;

ALTER TABLE ice_hockey_action_participants ADD COLUMN assists_to_date INTEGER;

ALTER TABLE ice_hockey_action_participants ADD COLUMN points_to_date INTEGER;

DELETE FROM db_info;
INSERT INTO db_info (version) VALUES ('22');

