/*
 *  
 * Script to update the sportsdb schema between version 22 and 23.
 */

ALTER TABLE affiliation_phases ADD root_id INTEGER;
GO

ALTER TABLE document_contents ADD abstract_blob TEXT;
GO

DROP  INDEX baseball_event_states.IDX_baseball_event_states_seq_num;
GO
ALTER TABLE baseball_event_states ALTER COLUMN sequence_number DECIMAL(4,1);
GO
CREATE INDEX IDX_baseball_event_states_seq_num ON baseball_event_states (sequence_number)
GO

ALTER TABLE baseball_action_pitches ALTER COLUMN sequence_number DECIMAL(4,1);
GO
ALTER TABLE baseball_action_substitutions ALTER COLUMN sequence_number DECIMAL(4,1);
GO

DELETE FROM db_info
GO

INSERT INTO db_info (version) VALUES ('23')
GO
