/*
 * $Id: sportsdb-30-31-transition-sql-server-2k2.sql 3089 2016-04-15 13:48:57Z ian $
 *  
 * Script to update the sportsdb schema between version 30 and 31.
 */

/*
   NOTE
   -----------------
   The following schema adjustment SQL is not intended to be run all at once. Please examine each statement or
   statement collection and run it on its own, examining the outcome each time to ensure that the desired
   change has been made. Please also note that some of the changes modify existing fields and/or indexes. These
   changes are more sensitive and need to be tested out on a non-production database before being run on
   the target database. 
*/




DELETE FROM db_info;
GO
INSERT INTO db_info (version) VALUES ('31');
GO