DROP INDEX IDX_locations_1 ON locations;

DROP INDEX IDX_addresses_1 ON addresses;

DROP INDEX IDX_addresses_2 ON addresses;

DROP INDEX IDX_addresses_3 ON addresses;

DROP INDEX IDX_FK_add_loc_id__loc_id ON addresses;

DROP INDEX IDX_publishers_1 ON publishers;

DROP INDEX IDX_affiliations_1 ON affiliations;

DROP INDEX IDX_affiliations_2 ON affiliations;

DROP INDEX IDX_FK_aff_pub_id__pub_id ON affiliations;

DROP INDEX IDX_FK_sea_lea_id__aff_id ON seasons;

DROP INDEX IDX_FK_sea_pub_id__pub_id ON seasons;

DROP INDEX IDX_seasons_1 ON seasons;

DROP INDEX IDX_document_fixtures_1 ON document_fixtures;

DROP INDEX IDX_FK_doc_fix_doc_cla_id__doc_cla_id ON document_fixtures;

DROP INDEX IDX_FK_doc_fix_pub_id__pub_id ON document_fixtures;

DROP INDEX IDX_documents_1 ON documents;

DROP INDEX IDX_documents_3 ON documents;

DROP INDEX IDX_documents_4 ON documents;

DROP INDEX IDX_documents_5 ON documents;

DROP INDEX IDX_FK_doc_doc_fix_id__doc_fix_id ON documents;

DROP INDEX IDX_FK_doc_pub_id__pub_id ON documents;

DROP INDEX IDX_FK_doc_sou_id__pub_id ON documents;

DROP INDEX IDX_FK_sit_loc_id__loc_id ON sites;

DROP INDEX IDX_FK_sit_pub_id__pub_id ON sites;

DROP INDEX IDX_sites_1 ON sites;

DROP INDEX IDX_events_1 ON events;

DROP INDEX IDX_FK_eve_pub_id__pub_id ON events;

DROP INDEX IDX_FK_eve_sit_id__sit_id ON events;

DROP INDEX IDX_FK_per_pub_id__pub_id ON persons;

DROP INDEX IDX_persons_1 ON persons;

DROP INDEX IDX_american_football_event_states_1 ON american_football_event_states;

DROP INDEX IDX_FK_ame_foo_eve_sta_eve_id__eve_id ON american_football_event_states;

DROP INDEX IDX_american_football_action_plays_1 ON american_football_action_plays;

DROP INDEX IDX_american_football_action_plays_2 ON american_football_action_plays;

DROP INDEX IDX_american_football_action_plays_3 ON american_football_action_plays;

DROP INDEX IDX_FK_ame_foo_act_pla_ame_foo_eve_sta_id__ame_foo_eve_sta_id ON american_football_action_plays;

DROP INDEX IDX_american_football_action_participants_1 ON american_football_action_participants;

DROP INDEX IDX_american_football_action_participants_2 ON american_football_action_participants;

DROP INDEX IDX_FK_ame_foo_act_par_ame_foo_act_pla_id__ame_foo_act_pla_id ON american_football_action_participants;

DROP INDEX IDX_FK_ame_foo_act_par_per_id__per_id ON american_football_action_participants;

DROP INDEX IDX_baseball_event_states_1 ON baseball_event_states;

DROP INDEX IDX_FK_bas_eve_sta_eve_id__eve_id ON baseball_event_states;

DROP INDEX IDX_baseball_action_plays_1 ON baseball_action_plays;

DROP INDEX IDX_FK_bas_act_pla_bas_eve_sta_id__bas_eve_sta_id ON baseball_action_plays;

DROP INDEX IDX_baseball_action_pitches_1 ON baseball_action_pitches;

DROP INDEX IDX_baseball_action_pitches_2 ON baseball_action_pitches;

DROP INDEX IDX_FK_bas_act_pit_bas_def_gro_id__bas_def_gro_id ON baseball_action_pitches;

DROP INDEX IDX_FK_pos_aff_id__aff_id ON positions;

DROP INDEX IDX_positions_1 ON positions;

DROP INDEX IDX_FK_events_basketball_event_states ON basketball_event_states;

DROP INDEX IDX_db_info_1 ON db_info;

DROP INDEX IDX_document_classes_1 ON document_classes;

DROP INDEX IDX_FK_doc_con_doc_id__doc_id ON document_contents;

DROP INDEX IDX_FK_doc_fix_eve_doc_fix_id__doc_fix_id ON document_fixtures_events;

DROP INDEX IDX_FK_doc_fix_eve_eve_id__eve_id ON document_fixtures_events;

DROP INDEX IDX_FK_doc_fix_eve_lat_doc_id__doc_id ON document_fixtures_events;

DROP INDEX IDX_FK_sub_sea_sea_id__sea_id ON sub_seasons;

DROP INDEX IDX_sub_seasons_1 ON sub_seasons;

DROP INDEX IDX_sub_seasons_2 ON sub_seasons;

DROP INDEX IDX_FK_inj_pha_per_id__per_id ON injury_phases;

DROP INDEX IDX_FK_inj_pha_sea_id__sea_id ON injury_phases;

DROP INDEX IDX_injury_phases_2 ON injury_phases;

DROP INDEX IDX_injury_phases_3 ON injury_phases;

DROP INDEX IDX_injury_phases_4 ON injury_phases;

DROP INDEX IDX_key_aliases_1 ON key_roots;

DROP INDEX IDX_key_aliases_2 ON key_aliases;

DROP INDEX IDX_FK_lat_rev_lat_doc_id__doc_id ON latest_revisions;

DROP INDEX IDX_latest_revisions_1 ON latest_revisions;

DROP INDEX IDX_FK_events_motor_racing_event_states ON motor_racing_event_states;

DROP INDEX IDX_FK_par_eve_eve_id__eve_id ON participants_events;

DROP INDEX IDX_participants_events_1 ON participants_events;

DROP INDEX IDX_participants_events_2 ON participants_events;

DROP INDEX IDX_participants_events_3 ON participants_events;

DROP INDEX IDX_participants_events_4 ON participants_events;

DROP INDEX IDX_FK_per_par_eve_id__par_eve_id ON periods;

DROP INDEX IDX_roles_1 ON roles;

DROP INDEX IDX_FK_per_eve_met_eve_id__eve_id ON person_event_metadata;

DROP INDEX IDX_FK_per_eve_met_per_id__per_id ON person_event_metadata;

DROP INDEX IDX_FK_per_eve_met_pos_id__pos_id ON person_event_metadata;

DROP INDEX IDX_FK_per_eve_met_rol_id__rol_id ON person_event_metadata;

DROP INDEX IDX_FK_teams_person_event_metadata ON person_event_metadata;

DROP INDEX IDX_person_event_metadata_1 ON person_event_metadata;

DROP INDEX IDX_FK_per_pha_per_id__per_id ON person_phases;

DROP INDEX IDX_FK_per_pha_reg_pos_id__pos_id ON person_phases;

DROP INDEX IDX_person_phases_1 ON person_phases;

DROP INDEX IDX_person_phases_2 ON person_phases;

DROP INDEX IDX_person_phases_3 ON person_phases;

DROP INDEX IDX_FK_events_soccer_event_states ON soccer_event_states;

DROP INDEX IDX_stats_1 ON stats;

DROP INDEX IDX_stats_2 ON stats;

DROP INDEX IDX_stats_3 ON stats;

DROP INDEX IDX_stats_4 ON stats;

DROP INDEX IDX_stats_5 ON stats;

DROP INDEX IDX_stats_6 ON stats;

DROP INDEX IDX_stats_7 ON stats;

DROP INDEX IDX_FK_sub_per_per_id__per_id ON sub_periods;

DROP INDEX IDX_FK_events_tennis_event_states ON tennis_event_states;

DROP INDEX IDX_FK_wea_con_eve_id__eve_id ON weather_conditions;

DROP TABLE IF EXISTS locations CASCADE;

DROP TABLE IF EXISTS addresses CASCADE;

DROP TABLE IF EXISTS publishers CASCADE;

DROP TABLE IF EXISTS affiliations CASCADE;

DROP TABLE IF EXISTS seasons CASCADE;

DROP TABLE IF EXISTS affiliation_phases CASCADE;

DROP TABLE IF EXISTS document_fixtures CASCADE;

DROP TABLE IF EXISTS documents CASCADE;

DROP TABLE IF EXISTS affiliations_documents CASCADE;

DROP TABLE IF EXISTS sites CASCADE;

DROP TABLE IF EXISTS events CASCADE;

DROP TABLE IF EXISTS affiliations_events CASCADE;

DROP TABLE IF EXISTS persons CASCADE;

DROP TABLE IF EXISTS media CASCADE;

DROP TABLE IF EXISTS affiliations_media CASCADE;

DROP TABLE IF EXISTS teams CASCADE;

DROP TABLE IF EXISTS american_football_event_states CASCADE;

DROP TABLE IF EXISTS american_football_action_plays CASCADE;

DROP TABLE IF EXISTS american_football_action_participants CASCADE;

DROP TABLE IF EXISTS american_football_defensive_stats CASCADE;

DROP TABLE IF EXISTS american_football_down_progress_stats CASCADE;

DROP TABLE IF EXISTS american_football_fumbles_stats CASCADE;

DROP TABLE IF EXISTS american_football_offensive_stats CASCADE;

DROP TABLE IF EXISTS american_football_passing_stats CASCADE;

DROP TABLE IF EXISTS american_football_penalties_stats CASCADE;

DROP TABLE IF EXISTS american_football_rushing_stats CASCADE;

DROP TABLE IF EXISTS american_football_sacks_against_stats CASCADE;

DROP TABLE IF EXISTS american_football_scoring_stats CASCADE;

DROP TABLE IF EXISTS american_football_special_teams_stats CASCADE;

DROP TABLE IF EXISTS baseball_event_states CASCADE;

DROP TABLE IF EXISTS baseball_action_plays CASCADE;

DROP TABLE IF EXISTS baseball_defensive_group CASCADE;

DROP TABLE IF EXISTS baseball_action_pitches CASCADE;

DROP TABLE IF EXISTS baseball_action_contact_details CASCADE;

DROP TABLE IF EXISTS positions CASCADE;

DROP TABLE IF EXISTS baseball_action_substitutions CASCADE;

DROP TABLE IF EXISTS baseball_defensive_players CASCADE;

DROP TABLE IF EXISTS baseball_defensive_stats CASCADE;

DROP TABLE IF EXISTS baseball_offensive_stats CASCADE;

DROP TABLE IF EXISTS baseball_pitching_stats CASCADE;

DROP TABLE IF EXISTS basketball_defensive_stats CASCADE;

DROP TABLE IF EXISTS basketball_event_states CASCADE;

DROP TABLE IF EXISTS basketball_offensive_stats CASCADE;

DROP TABLE IF EXISTS basketball_rebounding_stats CASCADE;

DROP TABLE IF EXISTS basketball_team_stats CASCADE;

DROP TABLE IF EXISTS bookmakers CASCADE;

DROP TABLE IF EXISTS core_person_stats CASCADE;

DROP TABLE IF EXISTS core_stats CASCADE;

DROP TABLE IF EXISTS db_info CASCADE;

DROP TABLE IF EXISTS display_names CASCADE;

DROP TABLE IF EXISTS document_classes CASCADE;

DROP TABLE IF EXISTS document_contents CASCADE;

DROP TABLE IF EXISTS document_fixtures_events CASCADE;

DROP TABLE IF EXISTS document_packages CASCADE;

DROP TABLE IF EXISTS document_package_entry CASCADE;

DROP TABLE IF EXISTS media_captions CASCADE;

DROP TABLE IF EXISTS documents_media CASCADE;

DROP TABLE IF EXISTS events_documents CASCADE;

DROP TABLE IF EXISTS events_media CASCADE;

DROP TABLE IF EXISTS sub_seasons CASCADE;

DROP TABLE IF EXISTS events_sub_seasons CASCADE;

DROP TABLE IF EXISTS ice_hockey_defensive_stats CASCADE;

DROP TABLE IF EXISTS ice_hockey_event_states CASCADE;

DROP TABLE IF EXISTS ice_hockey_offensive_stats CASCADE;

DROP TABLE IF EXISTS ice_hockey_player_stats CASCADE;

DROP TABLE IF EXISTS injury_phases CASCADE;

DROP TABLE IF EXISTS key_roots CASCADE;

DROP TABLE IF EXISTS key_aliases CASCADE;

DROP TABLE IF EXISTS latest_revisions CASCADE;

DROP TABLE IF EXISTS media_contents CASCADE;

DROP TABLE IF EXISTS media_keywords CASCADE;

DROP TABLE IF EXISTS motor_racing_event_states CASCADE;

DROP TABLE IF EXISTS motor_racing_qualifying_stats CASCADE;

DROP TABLE IF EXISTS motor_racing_race_stats CASCADE;

DROP TABLE IF EXISTS standings CASCADE;

DROP TABLE IF EXISTS standing_subgroups CASCADE;

DROP TABLE IF EXISTS outcome_totals CASCADE;

DROP TABLE IF EXISTS participants_events CASCADE;

DROP TABLE IF EXISTS periods CASCADE;

DROP TABLE IF EXISTS roles CASCADE;

DROP TABLE IF EXISTS person_event_metadata CASCADE;

DROP TABLE IF EXISTS person_phases CASCADE;

DROP TABLE IF EXISTS persons_documents CASCADE;

DROP TABLE IF EXISTS persons_media CASCADE;

DROP TABLE IF EXISTS soccer_defensive_stats CASCADE;

DROP TABLE IF EXISTS soccer_event_states CASCADE;

DROP TABLE IF EXISTS soccer_foul_stats CASCADE;

DROP TABLE IF EXISTS soccer_offensive_stats CASCADE;

DROP TABLE IF EXISTS stats CASCADE;

DROP TABLE IF EXISTS sub_periods CASCADE;

DROP TABLE IF EXISTS team_american_football_stats CASCADE;

DROP TABLE IF EXISTS team_phases CASCADE;

DROP TABLE IF EXISTS teams_documents CASCADE;

DROP TABLE IF EXISTS teams_media CASCADE;

DROP TABLE IF EXISTS tennis_action_points CASCADE;

DROP TABLE IF EXISTS tennis_action_volleys CASCADE;

DROP TABLE IF EXISTS tennis_event_states CASCADE;

DROP TABLE IF EXISTS tennis_return_stats CASCADE;

DROP TABLE IF EXISTS tennis_service_stats CASCADE;

DROP TABLE IF EXISTS wagering_moneylines CASCADE;

DROP TABLE IF EXISTS wagering_odds_lines CASCADE;

DROP TABLE IF EXISTS wagering_runlines CASCADE;

DROP TABLE IF EXISTS wagering_straight_spread_lines CASCADE;

DROP TABLE IF EXISTS wagering_total_score_lines CASCADE;

DROP TABLE IF EXISTS weather_conditions CASCADE;
