ALTER TABLE addresses DROP CONSTRAINT FK_add_loc_id__loc_id
GO

ALTER TABLE affiliations DROP CONSTRAINT FK_aff_pub_id__pub_id
GO

ALTER TABLE seasons DROP CONSTRAINT FK_sea_lea_id__aff_id
GO

ALTER TABLE seasons DROP CONSTRAINT FK_sea_pub_id__pub_id
GO

ALTER TABLE affiliation_phases DROP CONSTRAINT FK_seasons_affiliation_phases1
GO

ALTER TABLE affiliation_phases DROP CONSTRAINT FK_seasons_affiliation_phases
GO

ALTER TABLE affiliation_phases DROP CONSTRAINT FK_affiliations_affiliation_phases1
GO

ALTER TABLE affiliation_phases DROP CONSTRAINT FK_affiliations_affiliation_phases
GO

ALTER TABLE document_fixtures DROP CONSTRAINT FK_doc_fix_doc_cla_id__doc_cla_id
GO

ALTER TABLE document_fixtures DROP CONSTRAINT FK_doc_fix_pub_id__pub_id
GO

ALTER TABLE documents DROP CONSTRAINT FK_doc_sou_id__pub_id
GO

ALTER TABLE documents DROP CONSTRAINT FK_doc_doc_fix_id__doc_fix_id
GO

ALTER TABLE documents DROP CONSTRAINT FK_doc_pub_id__pub_id
GO

ALTER TABLE affiliations_documents DROP CONSTRAINT FK_aff_doc_aff_id__aff_id
GO

ALTER TABLE affiliations_documents DROP CONSTRAINT FK_aff_doc_doc_id__doc_id
GO

ALTER TABLE sites DROP CONSTRAINT FK_sit_loc_id__loc_id
GO

ALTER TABLE sites DROP CONSTRAINT FK_sit_pub_id__pub_id
GO

ALTER TABLE events DROP CONSTRAINT FK_eve_sit_id__sit_id
GO

ALTER TABLE events DROP CONSTRAINT FK_eve_pub_id__pub_id
GO

ALTER TABLE affiliations_events DROP CONSTRAINT FK_aff_eve_aff_id__aff_id
GO

ALTER TABLE affiliations_events DROP CONSTRAINT FK_aff_eve_eve_id__eve_id
GO

ALTER TABLE persons DROP CONSTRAINT FK_per_bir_loc_id__loc_id
GO

ALTER TABLE persons DROP CONSTRAINT FK_per_pub_id__pub_id
GO

ALTER TABLE persons DROP CONSTRAINT FK_per_dea_loc_id__loc_id
GO

ALTER TABLE persons DROP CONSTRAINT FK_per_res_loc_id__loc_id
GO

ALTER TABLE persons DROP CONSTRAINT FK_per_hom_loc_id__loc_id
GO

ALTER TABLE media DROP CONSTRAINT FK_med_cre_id__per_id
GO

ALTER TABLE media DROP CONSTRAINT FK_med_pub_id__pub_id
GO

ALTER TABLE media DROP CONSTRAINT FK_med_cre_loc_id__loc_id
GO

ALTER TABLE affiliations_media DROP CONSTRAINT FK_aff_med_med_id__med_id
GO

ALTER TABLE affiliations_media DROP CONSTRAINT FK_aff_med_aff_id__aff_id
GO

ALTER TABLE teams DROP CONSTRAINT FK_tea_pub_id__pub_id
GO

ALTER TABLE teams DROP CONSTRAINT FK_tea_hom_sit_id__sit_id
GO

ALTER TABLE american_football_event_states DROP CONSTRAINT FK_ame_foo_eve_sta_tea_in_pos_id__tea_id
GO

ALTER TABLE american_football_event_states DROP CONSTRAINT FK_ame_foo_eve_sta_eve_id__eve_id
GO

ALTER TABLE american_football_action_plays DROP CONSTRAINT FK_ame_foo_act_pla_ame_foo_eve_sta_id__ame_foo_eve_sta_id
GO

ALTER TABLE american_football_action_participants DROP CONSTRAINT FK_ame_foo_act_par_per_id__per_id
GO

ALTER TABLE american_football_action_participants DROP CONSTRAINT FK_ame_foo_act_par_ame_foo_act_pla_id__ame_foo_act_pla_id
GO

ALTER TABLE baseball_event_states DROP CONSTRAINT FK_bas_eve_sta_run_on_sec_id__per_id
GO

ALTER TABLE baseball_event_states DROP CONSTRAINT FK_bas_eve_sta_run_on_thi_id__per_id
GO

ALTER TABLE baseball_event_states DROP CONSTRAINT FK_bas_eve_sta_run_on_fir_id__per_id
GO

ALTER TABLE baseball_event_states DROP CONSTRAINT FK_bas_eve_sta_bat_id__per_id
GO

ALTER TABLE baseball_event_states DROP CONSTRAINT FK_bas_eve_sta_pit_id__per_id
GO

ALTER TABLE baseball_event_states DROP CONSTRAINT FK_bas_eve_sta_eve_id__eve_id
GO

ALTER TABLE baseball_action_plays DROP CONSTRAINT FK_bas_act_pla_bas_eve_sta_id__bas_eve_sta_id
GO

ALTER TABLE baseball_action_pitches DROP CONSTRAINT FK_baseball_action_plays_baseball_action_pitches
GO

ALTER TABLE baseball_action_pitches DROP CONSTRAINT FK_bas_act_pit_bas_def_gro_id__bas_def_gro_id
GO

ALTER TABLE baseball_action_contact_details DROP CONSTRAINT FK_bas_act_con_det_bas_act_pit_id__bas_act_pit_id
GO

ALTER TABLE positions DROP CONSTRAINT FK_pos_aff_id__aff_id
GO

ALTER TABLE baseball_action_substitutions DROP CONSTRAINT FK_bas_act_sub_per_rep_pos_id__pos_id
GO

ALTER TABLE baseball_action_substitutions DROP CONSTRAINT FK_bas_act_sub_per_ori_pos_id__pos_id
GO

ALTER TABLE baseball_action_substitutions DROP CONSTRAINT FK_bas_act_sub_bas_eve_sta_id__bas_eve_sta_id
GO

ALTER TABLE baseball_action_substitutions DROP CONSTRAINT FK_bas_act_sub_per_rep_id__per_id
GO

ALTER TABLE baseball_action_substitutions DROP CONSTRAINT FK_bas_act_sub_per_ori_id__per_id
GO

ALTER TABLE baseball_defensive_players DROP CONSTRAINT FK_bas_def_pla_bas_def_gro_id__bas_def_gro_id
GO

ALTER TABLE baseball_defensive_players DROP CONSTRAINT FK_bas_def_pla_pla_id__per_id
GO

ALTER TABLE baseball_defensive_players DROP CONSTRAINT FK_bas_def_pla_pos_id__pos_id
GO

ALTER TABLE basketball_event_states DROP CONSTRAINT FK_bask_eve_sta_eve_id__eve_id
GO

ALTER TABLE bookmakers DROP CONSTRAINT FK_boo_loc_id__loc_id
GO

ALTER TABLE bookmakers DROP CONSTRAINT FK_boo_pub_id__pub_id
GO

ALTER TABLE core_person_stats DROP CONSTRAINT FK_cor_per_sta_pos_id__pos_id
GO

ALTER TABLE document_contents DROP CONSTRAINT FK_doc_con_doc_id__doc_id
GO

ALTER TABLE document_fixtures_events DROP CONSTRAINT FK_doc_fix_eve_lat_doc_id__doc_id
GO

ALTER TABLE document_fixtures_events DROP CONSTRAINT FK_doc_fix_eve_doc_fix_id__doc_fix_id
GO

ALTER TABLE document_fixtures_events DROP CONSTRAINT FK_doc_fix_eve_eve_id__eve_id
GO

ALTER TABLE document_package_entry DROP CONSTRAINT FK_doc_pac_ent_doc_pac_id__doc_pac_id
GO

ALTER TABLE document_package_entry DROP CONSTRAINT FK_doc_pac_ent_doc_id__doc_id
GO

ALTER TABLE media_captions DROP CONSTRAINT FK_med_cap_med_id__med_id
GO

ALTER TABLE media_captions DROP CONSTRAINT FK_med_cap_cap_aut_id__per_id
GO

ALTER TABLE documents_media DROP CONSTRAINT FK_doc_med_med_cap_id__med_cap_id
GO

ALTER TABLE documents_media DROP CONSTRAINT FK_doc_med_med_id__med_id
GO

ALTER TABLE documents_media DROP CONSTRAINT FK_doc_med_doc_id__doc_id
GO

ALTER TABLE events_documents DROP CONSTRAINT FK_eve_doc_doc_id__doc_id
GO

ALTER TABLE events_documents DROP CONSTRAINT FK_eve_doc_eve_id__eve_id
GO

ALTER TABLE events_media DROP CONSTRAINT FK_eve_med_med_id__med_id
GO

ALTER TABLE events_media DROP CONSTRAINT FK_eve_med_eve_id__eve_id
GO

ALTER TABLE sub_seasons DROP CONSTRAINT FK_sub_sea_sea_id__sea_id
GO

ALTER TABLE events_sub_seasons DROP CONSTRAINT FK_eve_sub_sea_sub_sea_id__sub_sea_id
GO

ALTER TABLE events_sub_seasons DROP CONSTRAINT FK_eve_sub_sea_eve_id__eve_id
GO

ALTER TABLE ice_hockey_event_states DROP CONSTRAINT FK_ice_hoc_eve_sta_eve_id__eve_id
GO

ALTER TABLE injury_phases DROP CONSTRAINT FK_inj_pha_sea_id__sea_id
GO

ALTER TABLE injury_phases DROP CONSTRAINT FK_inj_pha_per_id__per_id
GO

ALTER TABLE key_aliases DROP CONSTRAINT FK_key_roots_key_aliases
GO

ALTER TABLE latest_revisions DROP CONSTRAINT FK_lat_rev_lat_doc_id__doc_id
GO

ALTER TABLE media_contents DROP CONSTRAINT FK_med_con_med_id__med_id
GO

ALTER TABLE media_keywords DROP CONSTRAINT FK_med_key_med_id__med_id
GO

ALTER TABLE motor_racing_event_states DROP CONSTRAINT FK_mot_rac_eve_sta_eve_id__eve_id
GO

ALTER TABLE standings DROP CONSTRAINT FK_sta_aff_id__aff_id
GO

ALTER TABLE standings DROP CONSTRAINT FK_sta_sub_sea_id__sub_sea_id
GO

ALTER TABLE standings DROP CONSTRAINT FK_sta_pub_id__pub_id
GO

ALTER TABLE standing_subgroups DROP CONSTRAINT FK_sta_sub_sta_id__sta_id
GO

ALTER TABLE standing_subgroups DROP CONSTRAINT FK_sta_sub_aff_id__aff_id
GO

ALTER TABLE outcome_totals DROP CONSTRAINT FK_out_tot_sta_sub_id__sta_sub_id
GO

ALTER TABLE participants_events DROP CONSTRAINT FK_par_eve_eve_id__eve_id
GO

ALTER TABLE periods DROP CONSTRAINT FK_per_par_eve_id__par_eve_id
GO

ALTER TABLE person_event_metadata DROP CONSTRAINT FK_per_eve_met_tea_id__tea_id
GO

ALTER TABLE person_event_metadata DROP CONSTRAINT FK_per_eve_met_eve_id__eve_id
GO

ALTER TABLE person_event_metadata DROP CONSTRAINT FK_per_eve_met_per_id__per_id
GO

ALTER TABLE person_event_metadata DROP CONSTRAINT FK_per_eve_met_pos_id__pos_id
GO

ALTER TABLE person_event_metadata DROP CONSTRAINT FK_per_eve_met_rol_id__rol_id
GO

ALTER TABLE person_phases DROP CONSTRAINT FK_per_pha_rol_id__rol_id
GO

ALTER TABLE person_phases DROP CONSTRAINT FK_per_pha_reg_pos_id__pos_id
GO

ALTER TABLE person_phases DROP CONSTRAINT FK_per_pha_sta_sea_id__sea_id
GO

ALTER TABLE person_phases DROP CONSTRAINT FK_per_pha_per_id__per_id
GO

ALTER TABLE person_phases DROP CONSTRAINT FK_per_pha_end_sea_id__sea_id
GO

ALTER TABLE persons_documents DROP CONSTRAINT FK_per_doc_per_id__per_id
GO

ALTER TABLE persons_documents DROP CONSTRAINT FK_per_doc_doc_id__doc_id
GO

ALTER TABLE persons_media DROP CONSTRAINT FK_per_med_med_id__med_id
GO

ALTER TABLE persons_media DROP CONSTRAINT FK_per_med_per_id__per_id
GO

ALTER TABLE soccer_event_states DROP CONSTRAINT FK_soc_eve_sta_eve_id__eve_id
GO

ALTER TABLE sub_periods DROP CONSTRAINT FK_sub_per_per_id__per_id
GO

ALTER TABLE team_phases DROP CONSTRAINT FK_tea_aff_pha_rol_id__rol_id
GO

ALTER TABLE team_phases DROP CONSTRAINT FK_tea_aff_pha_end_sea_id__sea_id
GO

ALTER TABLE team_phases DROP CONSTRAINT FK_tea_aff_pha_sta_sea_id__sea_id
GO

ALTER TABLE team_phases DROP CONSTRAINT FK_tea_aff_pha_aff_id__aff_id
GO

ALTER TABLE team_phases DROP CONSTRAINT FK_tea_aff_pha_tea_id__tea_id
GO

ALTER TABLE teams_documents DROP CONSTRAINT FK_tea_doc_tea_id__tea_id
GO

ALTER TABLE teams_documents DROP CONSTRAINT FK_tea_doc_doc_id__doc_id
GO

ALTER TABLE teams_media DROP CONSTRAINT FK_tea_med_med_id__med_id
GO

ALTER TABLE teams_media DROP CONSTRAINT FK_tea_med_tea_id__tea_id
GO

ALTER TABLE tennis_event_states DROP CONSTRAINT FK_ten_eve_sta_eve_id__eve_id
GO

ALTER TABLE wagering_moneylines DROP CONSTRAINT FK_wag_mon_boo_id__boo_id
GO

ALTER TABLE wagering_moneylines DROP CONSTRAINT FK_wag_mon_tea_id__tea_id
GO

ALTER TABLE wagering_moneylines DROP CONSTRAINT FK_wag_mon_eve_id__eve_id
GO

ALTER TABLE wagering_odds_lines DROP CONSTRAINT FK_wag_odd_lin_tea_id__tea_id
GO

ALTER TABLE wagering_odds_lines DROP CONSTRAINT FK_wag_odd_lin_eve_id__eve_id
GO

ALTER TABLE wagering_odds_lines DROP CONSTRAINT FK_wag_odd_lin_boo_id__boo_id
GO

ALTER TABLE wagering_runlines DROP CONSTRAINT FK_wag_run_boo_id__boo_id
GO

ALTER TABLE wagering_runlines DROP CONSTRAINT FK_wag_run_tea_id__tea_id
GO

ALTER TABLE wagering_runlines DROP CONSTRAINT FK_wag_run_eve_id__eve_id
GO

ALTER TABLE wagering_straight_spread_lines DROP CONSTRAINT FK_wag_str_spr_lin_tea_id__tea_id
GO

ALTER TABLE wagering_straight_spread_lines DROP CONSTRAINT FK_wag_str_spr_lin_eve_id__eve_id
GO

ALTER TABLE wagering_straight_spread_lines DROP CONSTRAINT FK_wag_str_spr_lin_boo_id__boo_id
GO

ALTER TABLE wagering_total_score_lines DROP CONSTRAINT FK_wag_tot_sco_lin_boo_id__boo_id
GO

ALTER TABLE wagering_total_score_lines DROP CONSTRAINT FK_wag_tot_sco_lin_eve_id__eve_id
GO

ALTER TABLE wagering_total_score_lines DROP CONSTRAINT FK_wag_tot_sco_lin_tea_id__tea_id
GO

ALTER TABLE weather_conditions DROP CONSTRAINT FK_wea_con_eve_id__eve_id
GO

DROP INDEX locations.IDX_locations_1
GO

DROP INDEX addresses.IDX_addresses_1
GO

DROP INDEX addresses.IDX_addresses_2
GO

DROP INDEX addresses.IDX_addresses_3
GO

DROP INDEX addresses.IDX_FK_add_loc_id__loc_id
GO

DROP INDEX publishers.IDX_publishers_1
GO

DROP INDEX affiliations.IDX_affiliations_1
GO

DROP INDEX affiliations.IDX_affiliations_2
GO

DROP INDEX affiliations.IDX_FK_aff_pub_id__pub_id
GO

DROP INDEX seasons.IDX_FK_sea_lea_id__aff_id
GO

DROP INDEX seasons.IDX_FK_sea_pub_id__pub_id
GO

DROP INDEX seasons.IDX_seasons_1
GO

DROP INDEX document_fixtures.IDX_document_fixtures_1
GO

DROP INDEX document_fixtures.IDX_FK_doc_fix_doc_cla_id__doc_cla_id
GO

DROP INDEX document_fixtures.IDX_FK_doc_fix_pub_id__pub_id
GO

DROP INDEX documents.IDX_documents_1
GO

DROP INDEX documents.IDX_documents_3
GO

DROP INDEX documents.IDX_documents_4
GO

DROP INDEX documents.IDX_documents_5
GO

DROP INDEX documents.IDX_FK_doc_doc_fix_id__doc_fix_id
GO

DROP INDEX documents.IDX_FK_doc_pub_id__pub_id
GO

DROP INDEX documents.IDX_FK_doc_sou_id__pub_id
GO

DROP INDEX sites.IDX_FK_sit_loc_id__loc_id
GO

DROP INDEX sites.IDX_FK_sit_pub_id__pub_id
GO

DROP INDEX sites.IDX_sites_1
GO

DROP INDEX events.IDX_events_1
GO

DROP INDEX events.IDX_FK_eve_pub_id__pub_id
GO

DROP INDEX events.IDX_FK_eve_sit_id__sit_id
GO

DROP INDEX persons.IDX_FK_per_pub_id__pub_id
GO

DROP INDEX persons.IDX_persons_1
GO

DROP INDEX american_football_event_states.IDX_american_football_event_states_1
GO

DROP INDEX american_football_event_states.IDX_FK_ame_foo_eve_sta_eve_id__eve_id
GO

DROP INDEX american_football_action_plays.IDX_american_football_action_plays_1
GO

DROP INDEX american_football_action_plays.IDX_american_football_action_plays_2
GO

DROP INDEX american_football_action_plays.IDX_american_football_action_plays_3
GO

DROP INDEX american_football_action_plays.IDX_FK_ame_foo_act_pla_ame_foo_eve_sta_id__ame_foo_eve_sta_id
GO

DROP INDEX american_football_action_participants.IDX_american_football_action_participants_1
GO

DROP INDEX american_football_action_participants.IDX_american_football_action_participants_2
GO

DROP INDEX american_football_action_participants.IDX_FK_ame_foo_act_par_ame_foo_act_pla_id__ame_foo_act_pla_id
GO

DROP INDEX american_football_action_participants.IDX_FK_ame_foo_act_par_per_id__per_id
GO

DROP INDEX baseball_event_states.IDX_baseball_event_states_1
GO

DROP INDEX baseball_event_states.IDX_FK_bas_eve_sta_eve_id__eve_id
GO

DROP INDEX baseball_action_plays.IDX_baseball_action_plays_1
GO

DROP INDEX baseball_action_plays.IDX_FK_bas_act_pla_bas_eve_sta_id__bas_eve_sta_id
GO

DROP INDEX baseball_action_pitches.IDX_baseball_action_pitches_1
GO

DROP INDEX baseball_action_pitches.IDX_baseball_action_pitches_2
GO

DROP INDEX baseball_action_pitches.IDX_FK_bas_act_pit_bas_def_gro_id__bas_def_gro_id
GO

DROP INDEX positions.IDX_FK_pos_aff_id__aff_id
GO

DROP INDEX positions.IDX_positions_1
GO

DROP INDEX basketball_event_states.IDX_FK_events_basketball_event_states
GO

DROP INDEX db_info.IDX_db_info_1
GO

DROP INDEX document_classes.IDX_document_classes_1
GO

DROP INDEX document_contents.IDX_FK_doc_con_doc_id__doc_id
GO

DROP INDEX document_fixtures_events.IDX_FK_doc_fix_eve_doc_fix_id__doc_fix_id
GO

DROP INDEX document_fixtures_events.IDX_FK_doc_fix_eve_eve_id__eve_id
GO

DROP INDEX document_fixtures_events.IDX_FK_doc_fix_eve_lat_doc_id__doc_id
GO

DROP INDEX sub_seasons.IDX_FK_sub_sea_sea_id__sea_id
GO

DROP INDEX sub_seasons.IDX_sub_seasons_1
GO

DROP INDEX sub_seasons.IDX_sub_seasons_2
GO

DROP INDEX injury_phases.IDX_FK_inj_pha_per_id__per_id
GO

DROP INDEX injury_phases.IDX_FK_inj_pha_sea_id__sea_id
GO

DROP INDEX injury_phases.IDX_injury_phases_2
GO

DROP INDEX injury_phases.IDX_injury_phases_3
GO

DROP INDEX injury_phases.IDX_injury_phases_4
GO

DROP INDEX key_roots.IDX_key_aliases_1
GO

DROP INDEX key_aliases.IDX_key_aliases_2
GO

DROP INDEX latest_revisions.IDX_FK_lat_rev_lat_doc_id__doc_id
GO

DROP INDEX latest_revisions.IDX_latest_revisions_1
GO

DROP INDEX motor_racing_event_states.IDX_FK_events_motor_racing_event_states
GO

DROP INDEX participants_events.IDX_FK_par_eve_eve_id__eve_id
GO

DROP INDEX participants_events.IDX_participants_events_1
GO

DROP INDEX participants_events.IDX_participants_events_2
GO

DROP INDEX participants_events.IDX_participants_events_3
GO

DROP INDEX participants_events.IDX_participants_events_4
GO

DROP INDEX periods.IDX_FK_per_par_eve_id__par_eve_id
GO

DROP INDEX roles.IDX_roles_1
GO

DROP INDEX person_event_metadata.IDX_FK_per_eve_met_eve_id__eve_id
GO

DROP INDEX person_event_metadata.IDX_FK_per_eve_met_per_id__per_id
GO

DROP INDEX person_event_metadata.IDX_FK_per_eve_met_pos_id__pos_id
GO

DROP INDEX person_event_metadata.IDX_FK_per_eve_met_rol_id__rol_id
GO

DROP INDEX person_event_metadata.IDX_FK_teams_person_event_metadata
GO

DROP INDEX person_event_metadata.IDX_person_event_metadata_1
GO

DROP INDEX person_phases.IDX_FK_per_pha_per_id__per_id
GO

DROP INDEX person_phases.IDX_FK_per_pha_reg_pos_id__pos_id
GO

DROP INDEX person_phases.IDX_person_phases_1
GO

DROP INDEX person_phases.IDX_person_phases_2
GO

DROP INDEX person_phases.IDX_person_phases_3
GO

DROP INDEX soccer_event_states.IDX_FK_events_soccer_event_states
GO

DROP INDEX stats.IDX_stats_1
GO

DROP INDEX stats.IDX_stats_2
GO

DROP INDEX stats.IDX_stats_3
GO

DROP INDEX stats.IDX_stats_4
GO

DROP INDEX stats.IDX_stats_5
GO

DROP INDEX stats.IDX_stats_6
GO

DROP INDEX stats.IDX_stats_7
GO

DROP INDEX sub_periods.IDX_FK_sub_per_per_id__per_id
GO

DROP INDEX tennis_event_states.IDX_FK_events_tennis_event_states
GO

DROP INDEX weather_conditions.IDX_FK_wea_con_eve_id__eve_id
GO

DROP TABLE locations
GO

DROP TABLE addresses
GO

DROP TABLE publishers
GO

DROP TABLE affiliations
GO

DROP TABLE seasons
GO

DROP TABLE affiliation_phases
GO

DROP TABLE document_fixtures
GO

DROP TABLE documents
GO

DROP TABLE affiliations_documents
GO

DROP TABLE sites
GO

DROP TABLE events
GO

DROP TABLE affiliations_events
GO

DROP TABLE persons
GO

DROP TABLE media
GO

DROP TABLE affiliations_media
GO

DROP TABLE teams
GO

DROP TABLE american_football_event_states
GO

DROP TABLE american_football_action_plays
GO

DROP TABLE american_football_action_participants
GO

DROP TABLE american_football_defensive_stats
GO

DROP TABLE american_football_down_progress_stats
GO

DROP TABLE american_football_fumbles_stats
GO

DROP TABLE american_football_offensive_stats
GO

DROP TABLE american_football_passing_stats
GO

DROP TABLE american_football_penalties_stats
GO

DROP TABLE american_football_rushing_stats
GO

DROP TABLE american_football_sacks_against_stats
GO

DROP TABLE american_football_scoring_stats
GO

DROP TABLE american_football_special_teams_stats
GO

DROP TABLE baseball_event_states
GO

DROP TABLE baseball_action_plays
GO

DROP TABLE baseball_defensive_group
GO

DROP TABLE baseball_action_pitches
GO

DROP TABLE baseball_action_contact_details
GO

DROP TABLE positions
GO

DROP TABLE baseball_action_substitutions
GO

DROP TABLE baseball_defensive_players
GO

DROP TABLE baseball_defensive_stats
GO

DROP TABLE baseball_offensive_stats
GO

DROP TABLE baseball_pitching_stats
GO

DROP TABLE basketball_defensive_stats
GO

DROP TABLE basketball_event_states
GO

DROP TABLE basketball_offensive_stats
GO

DROP TABLE basketball_rebounding_stats
GO

DROP TABLE basketball_team_stats
GO

DROP TABLE bookmakers
GO

DROP TABLE core_person_stats
GO

DROP TABLE core_stats
GO

DROP TABLE db_info
GO

DROP TABLE display_names
GO

DROP TABLE document_classes
GO

DROP TABLE document_contents
GO

DROP TABLE document_fixtures_events
GO

DROP TABLE document_packages
GO

DROP TABLE document_package_entry
GO

DROP TABLE media_captions
GO

DROP TABLE documents_media
GO

DROP TABLE events_documents
GO

DROP TABLE events_media
GO

DROP TABLE sub_seasons
GO

DROP TABLE events_sub_seasons
GO

DROP TABLE ice_hockey_defensive_stats
GO

DROP TABLE ice_hockey_event_states
GO

DROP TABLE ice_hockey_offensive_stats
GO

DROP TABLE ice_hockey_player_stats
GO

DROP TABLE injury_phases
GO

DROP TABLE key_roots
GO

DROP TABLE key_aliases
GO

DROP TABLE latest_revisions
GO

DROP TABLE media_contents
GO

DROP TABLE media_keywords
GO

DROP TABLE motor_racing_event_states
GO

DROP TABLE motor_racing_qualifying_stats
GO

DROP TABLE motor_racing_race_stats
GO

DROP TABLE standings
GO

DROP TABLE standing_subgroups
GO

DROP TABLE outcome_totals
GO

DROP TABLE participants_events
GO

DROP TABLE periods
GO

DROP TABLE roles
GO

DROP TABLE person_event_metadata
GO

DROP TABLE person_phases
GO

DROP TABLE persons_documents
GO

DROP TABLE persons_media
GO

DROP TABLE soccer_defensive_stats
GO

DROP TABLE soccer_event_states
GO

DROP TABLE soccer_foul_stats
GO

DROP TABLE soccer_offensive_stats
GO

DROP TABLE stats
GO

DROP TABLE sub_periods
GO

DROP TABLE team_american_football_stats
GO

DROP TABLE team_phases
GO

DROP TABLE teams_documents
GO

DROP TABLE teams_media
GO

DROP TABLE tennis_action_points
GO

DROP TABLE tennis_action_volleys
GO

DROP TABLE tennis_event_states
GO

DROP TABLE tennis_return_stats
GO

DROP TABLE tennis_service_stats
GO

DROP TABLE wagering_moneylines
GO

DROP TABLE wagering_odds_lines
GO

DROP TABLE wagering_runlines
GO

DROP TABLE wagering_straight_spread_lines
GO

DROP TABLE wagering_total_score_lines
GO

DROP TABLE weather_conditions
GO
