# $Id: Person_phase.pm 2277 2008-11-19 17:27:40Z ian $

package FeedfetcherDeluxe::Entities::Person_phase;

use FeedfetcherDeluxe::Entities::Entity;
#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

Core::Entities::Person_phase

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;

	$self->{'update_status_for_other_memberships'} = $self->{dbh}->prepare(qq{
UPDATE person_phases
SET phase_status = 'inactive'
WHERE person_id = ?
AND membership_type = ?
AND membership_id != ?
	});
}

sub find_team_id {
	my ($self, $person_id);
	
	
}

sub update_status_for_other_memberships {
	my ($self, $person_id, $membership_type, $membership_id, $publisher_id, $node) = @_;
	
	$self->{'update_status_for_other_memberships'}->execute(
		$person_id, $membership_type, $membership_id
	);
	my $rows = $self->{'update_status_for_other_memberships'}->rows;

	# Clear cache for person_phases if > 0 updated
	$self->query_cache->invalidate() if $rows > 0;
}


1;