# $Id: QueryCache.pm 2686 2009-12-17 00:04:46Z ian $

package FeedfetcherDeluxe::Entities::QueryCache;

$entities = {};
$count = 0;

sub new {
    my ($class, $name) = @_;

    my $self = {};
    bless $self, $class;
    
    $self->{entities} = $entities;
    $count += 1;
#    $self->{count} = $count;
#    print "count: ", $self->{count}, "\n";
    $self->{name} = $name;
#    if ($name eq 'person' && ! defined $self->{entities}->{$name}) {
#        print "Persons cache space being created\n";
#    }
    $self->{entities}->{$name} = {} unless defined $self->{entities}->{$name} ;

    return $self;   
}

sub invalidate {
	my ($self) = @_;
	
    delete $self->{entities}->{$self->{name}};
#    print "invalidate for: ".$self->{name}."\n";
}

sub method {
    my ($self) = @_;
    
}

sub set {
    my ($self, $lookup_kv, $returned_kv) = @_;
    
    my @keys = keys %$lookup_kv;
    my @values = values %$lookup_kv;
    
#    @keys = (ref($k) eq "ARRAY") ? @$k: ("$k");
#    @keys = sort(@keys);
#    @values = (ref($v) eq "ARRAY") ? @$v: ("$v");

    @keys_values_arr = map {$_."=".$lookup_kv->{$_}} sort(@keys);
    $keys_values_str = join(',', @keys_values_arr);
    
#    my %to_store;
#    @to_store{@keys} = @values;
    
    $self->{entities}->{$self->{name}}->{$keys_values_str} = $returned_kv
}

sub get {
    my ($self, $lookup_kv) = @_;

    my @keys = keys %$lookup_kv;
    my @values = values %$lookup_kv;

    @keys_values_arr = map {$_."=".$lookup_kv->{$_}} sort(@keys);
    $keys_values_str = join(',', @keys_values_arr);

    return (defined $self->{entities}->{$self->{name}}->{$keys_values_str}) ? $self->{entities}->{$self->{name}}->{$keys_values_str} : undef;
}

sub invalidate_all {
    my ($self) = @_;
    
#    print "invalidate_all\n";
    $entities = {};
    $self->{entities} = $entities;
}
1;