# $RCSfile$; $Date: 2006-02-09 15:16:48 -0800 (Thu, 09 Feb 2006) $; $Revision: 1030 $; $Name$
package Util::TemplateUtil;

use Template;
use strict;

sub load_template {
	my ($cfg, $other_includes) = @_;

	my $template_dir = $cfg->required_param('template_dir');
	my @template_dirs = ($template_dir);
	push(@template_dirs, @$other_includes) if $other_includes;
	my $tt = Template->new({
			INCLUDE_PATH => \@template_dirs,
			TRIM => 1,
			PRE_CHOMP => 1,
			POST_CHOMP => 0
		}) or die $Template::ERROR;
	
	return $tt;
}

1;